/*

	PRIMARY STYLESHEET

 */

html {
	height: 100%;
	margin: 0;
	padding: 0;
}

body {
	background: #2E2E2E;
	color: #A9A9A9;
	font-family: sans-serif;
	margin: 0em;
	padding-bottom: 0;
	height: 100%;

	/* block text-selection to keep it clean */
	-webkit-user-select: none; /* Chrome/Safari */        
	-moz-user-select: none; /* Firefox */
	-ms-user-select: none; /* IE10+ */

	/*border-right: 1em solid #5F9EA0;*/

}

#container {
	min-height: 100%;
	position: relative;
	margin-right: 0em;
	width: auto;
	height:auto !important;
	height: 100%;
	overflow: hidden;	
}

#pageBorder {
	background: #5F9EA0;
	position: absolute;
	right: 0;
	width: 1em;
	height: 100%;
	z-index: 1;
}



/*

	NAVIGATION STYLING

 */

#navContainer {
	position: absolute;
	top: 0;
	width: 100%;
	background: #1C1C1C;
	clear: both;
	height: 40px;
	border-radius: 0em 0em 1.5em 1.5em;
	z-index: 999;
}

#nav {
	float: right;
	padding-right: 25%;
	height: 30px;
}

#nav a {
	color: #FFF;
	text-decoration: none;
}

#nav li:hover {
	color: #000;
	background-color: #FFF;
}

#nav ul {
	list-style-type: none;
	margin: 0;
	padding: 0;
	margin-top: 10px;
}

#nav li {
	display: inline;
	margin: 0;
	margin-left: calc(2em - 10px);
	padding: 10px;
}



/*

	LANDING PAGE SLOGAN/NAME

 */

.quote {
	font-size: 2em;
	padding: 0em;
	margin: 0em;
	line-height: 0.8em;
}

/* Desktop */
@media screen and (min-width: 1100px){

	#slogan {
		clear: both;
		padding-left: 1em;
		overflow: auto;
		margin-top: 3em;
	}

	#sloganLeft {
		width: 55%;
		float: left;
	}

	#sloganRight {
		width: 45%;
		margin-top: 3.34em;
		float: right;
		color: #8B8B8B;
		font-style: italic;
	}

	#sloganRight p{
		margin-top: 0px;
	}

	#sloganLeft h1 {
		color: #5F9EA0;
		font-size: 4em;
		padding-left: 1.5em;
		padding-top: 0em;
		margin-bottom: 0em !important;
	}

	#bio {
		padding-left: 7em;
		width: 28em;
   		margin: 0em;
    	margin-bottom: 1em;
    	text-indent: 1em;
	}

}

/*

	Main page content

 */

#about h4 {
	color: #C9E5E7;
}

#skills ul {
	color: #FFF;
}

#skills ul p {
	padding: 0;
	margin: 0;
	color: #A9A9A9;
	font-family: monospace;
	font-size: 1.2em;
}

#skills a {
	color: #A9A9A9;
}

/* Desktop Main*/
@media screen and (min-width: 1100px){

	#main {
		clear: both;
		overflow: auto;
	}

	#portfolio-image {
		padding-left: 8.3em;
		float: left;
		width: 38%;
	}

	#portfolio-image img {
		border-radius: 25em;
		width: 400px;
		height: auto;
		border: 5px solid #CFCFCF;
	}

	#about {
		float: right;
		width: calc(62% - 8.3em);
	}

	#about h2 {
		color: #8FBBBC;
	}

	#skills {
		float: left;
		width: 35%;
	}

	#currentStatus {
		float: right;
		width: calc(65% - 2em);
		padding-right: 2em;
	}

	#currentStatus strong {
		color: #FFF;
	}

}

/* Tablet About*/
@media screen and (min-width: 660px) and (max-width: 1099px){
	#about {
		margin-top: 1.5em;
		border-top: .175em dotted #5F9EA0;
	}

	#about h2 {
		color: #8FBBBC;
		text-align: center;
	}

	#about h4 {
		text-align: center;
	}

	#skills {
		float: left;
		width: 35%;
	}
	#skills p {
		margin-left: 1em;
	}

	#skills strong {
		color: #FFF;
	}

	#currentStatus {
		float: right;
		width: calc(65% - 2em);
		padding-right: 2em;
	}

	#currentStatus strong {
		color: #FFF;
	}
}

/*

	Footer

*/

#clear {
	clear: both;
	padding-bottom: 4em;
}

#footer {
	position: absolute;
	bottom: 0;
	background: #1C1C1C;
	width: calc(100% - 20px);
	padding: 10px;
	font-size: 0.8em;
	line-height: 24px;
	border-top: .2em solid #5F9EA0;
	z-index: 9999;
}

#footer img {
	float: right;
	width: 24px;
	vertical-align: middle;
	padding-left: 5px;
}








/*

	PORTFOLIO DESIGN

 */

#floater p {
	text-indent: 1em;
}

/* Desktop and Tablet */
@media screen and (min-width: 660px){
	#floater {
		float: left;
		width: calc(30% - 2.4em);
		padding: 1em;
		padding-left: 1.4em;
		margin-top: 3em;
		position: fixed;
	}

	#floater h1 {
		color: #C9E5E7;
		text-align: center;
	}

	#floater p#sub {
		text-indent: 1em;
		line-height: 1.5em;
		font-style: italic;
	}

	#floater img {
		border-radius: 5em;
		border: .2em solid #FFF;
		width: 10em;
		height: auto;
		display: block;
		margin: auto;
	}

	#projectContainer {
		float: right;
		width: calc(70% - 3.5em);
		margin-right: 2em;
		padding-left: 1.5em;
		margin-top: 3em;
	}

	.project {
		padding-left: 1.5em;
		padding-right: 3em;
		margin-bottom: 3em;
	}

	.consecutive {
		border-top: 1px dotted #FFF;
	}

	.project h1 {
		font-size: 3em;
		margin-bottom: .35em;
		/* font-size: 5em;
		font-family: "LeagueGothic";*/
		color: #FFF;
	}

	.project h3 {
		font-style: italic;
		font-weight: lighter;
		color: #5F9EA0;
		margin-top: 0em;
		margin-bottom: .7em;
	}

	.project strong {
		color: #FFF;
	}

	.project a {
		color: #FFF;
		font-weight: bold;
	}

	.project p {
		line-height: 1.3em;
	}

	p.note {
		font-size: 0.7em;
		color: #7A7A7A;
	}

	.project li li{
		margin-left: 1em;
	}

}

